%define vimdir vim80
%define baseversion 8.0

Summary: The VIM editor
URL:     http://www.vim.org/
Name:    vim
Version: %{baseversion}
Release: 4
License: Vim
Group: Applications/Editors
Source0: ftp://ftp.vim.org/pub/vim/unix/%{name}-%{baseversion}.tar.bz2
Source3: gvim.desktop
Source4: vimrc
Source7: gvim16.png
Source8: gvim32.png
Source9: gvim48.png
Source10: gvim64.png
Source12: vi_help.txt
Source14: %{name}-spec-template
Source15: http://www.cvjb.de/comp/vim/forth.vim

# patch to make python and perl work
#Patch0: %{name}-7.4-aix-configure.patch

Patch2002: vim-7.0-fixkeys.patch
#Patch2003: vim-6.2-specsyntax.patch
Patch2004: vim-7.4-crv.patch

Patch3000: vim-7.4-syntax.patch
Patch3002: vim-7.1-nowarnings.patch
Patch3003: vim-6.1-rh3.patch
#Patch3006: vim-6.4-checkhl.patch
Patch3008: vim-7.0-warning.patch
Patch3009: vim-7.0-syncolor.patch
#Patch3010: vim-7.0-specedit.patch
#Patch3011: vim72-rh514717.patch

#Patch5000: vim-7.3-utf8.patch
#Patch6000: vim-7.4-lang-team.patch 
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

BuildRequires: python-devel >= 2.7.13, gettext, perl >= 5.8.8
BuildRequires: patch, make
BuildRequires: libiconv >= 1.14

BuildRequires: gtk2-devel >= 2.24.30, glib2-devel >= 2.56.1, pango-devel >= 1.40.1
Requires: gettext

%ifos aix5.3
%define buildhost powerpc-ibm-aix5.3.0.0
%define osplat aix5
%endif
%ifos aix6.1
%define buildhost powerpc-ibm-aix6.1.0.0
%define osplat aix6
%endif

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.


%package common
Summary: The common files needed by any version of the VIM editor
Group: Applications/Editors

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

If you are installing vim-enhanced or vim-X11, you'll also need
to install the vim-common package.


%package minimal
Summary: A minimal version of the VIM editor
Group: Applications/Editors
Provides: vi = %{version}-%{release}
Requires: gettext >= 0.19.8.1
Requires: ncurses >= 6.1-2
Requires: python2 >= 2.7.10
Requires: libiconv >= 1.14

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more. The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present. NOTE: The online help is only available when the vim-common
package is installed.


%package enhanced
Summary: A version of the VIM editor which includes recent enhancements
Group: Applications/Editors
Requires: %{name}-common = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: gettext >= 0.19.8.1
#Requires: perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
Requires: perl >= 5.8.8
Requires: python >= 2.7.10
Requires: ncurses >= 6.1-2
Requires: libiconv >= 1.14

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.


%package X11
Summary: The VIM version of the vi editor for the X Window System
Group: Applications/Editors
Requires: %{name}-common = %{version}-%{release}, gtk2 >= 2.8.3
Provides: gvim = %{version}-%{release}
BuildRequires: gtk2-devel >= 2.24.30, glib2-devel >= 2.56.1
BuildRequires: pango-devel >= 1.40.1
BuildRequires: gdk-pixbuf-devel >= 2.35.1
BuildRequires: harfbuzz-devel >= 1.2.7
Requires: gtk2 >= 2.24.30
Requires: glib2 >= 2.56.1
Requires: gdk-pixbuf >= 2.35.1
Requires: pango >= 1.40.1
Requires: gettext >= 0.19.8.1
#Requires: perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))
Requires: perl >= 5.8.8
Requires: python >= 2.7.10
Requires: ncurses >= 6.1-2
Requires: libiconv >= 1.14

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more. VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.


%prep
%setup -q -n %{vimdir}
# fix rogue dependencies from sample code
chmod -x runtime/tools/mve.awk

export PATH=/opt/freeware/bin:$PATH

%patch2002 -p1
#%patch2003 -p1
%patch2004 -p1
/usr/bin/perl -pi -e "s,bin/nawk,bin/awk,g" runtime/tools/mve.awk

%patch3000 -p1
%patch3002 -p1
%patch3003 -p1
#%patch3006 -p1
%patch3008 -p1
%patch3009 -p1
#%patch3010 -p1
#%patch3011 -p1

#%patch5000 -p1 -b .utf8

#%patch6000 -p0

#%patch0


%build
export PATH=$PATH:/opt/freeware/bin

# for gtk2 we need this compiler
# CFLAGS doesn't seems to have any effect so adding all this options here
export CC="/usr/vac/bin/xlc_r -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -D_LINUX_SOURCE_COMPAT -D_GNU_SOURCE -I/opt/freeware/include -I/usr/include"

cd src

export PERL=/usr/bin/perl

export LIBPATH="/opt/freeware/lib:/usr/lib:/usr/opt/perl5/lib/5.8.8/aix-thread-multi/CORE"

export LDFLAGS="-L/opt/freeware/lib -L/usr/lib -Wl,-blibpath:/opt/freeware/lib:/usr/vac/lib:/usr/lib:/lib"

export PKG_CONFIG_PATH=/opt/freeware/lib/pkgconfig


#export vi_cv_path_python_plibs='-L/opt/freeware/lib/python2.7/config -lpython2.7 -ldl -lm -Wl,-bE:/opt/freeware/lib/python2.7/config/python.exp -lld'
export vi_cv_path_python_plibs='-L/opt/freeware/lib/python2.7/config -lpython2.7 -ldl -lm -Wl, -lld'

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --bindir=%{_bindir} \
    --exec-prefix=%{_prefix} \
    --with-features=huge \
    --enable-pythoninterp \
    --enable-perlinterp \
    --disable-tclinterp \
    --disable-rubyinterp \
    --with-x=yes \
    --enable-xim \
    --enable-multibyte \
    --enable-gui=gtk2 \
    --enable-gtk2-check \
    --with-compiledby="<ayappap2@in.ibm.com>"

gmake
cp vim gvim

gmake clean

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --bindir=%{_bindir} \
    --exec-prefix=%{_prefix} \
    --with-features=huge \
    --enable-pythoninterp \
    --disable-perlinterp \
    --disable-tclinterp \
    --disable-rubyinterp \
    --with-x=no \
    --enable-gui=no \
    --enable-multibyte \
    --enable-fontset \
    --with-compiledby="<ayappap2@in.ibm.com>"

gmake
cp vim enhanced-vim

gmake clean

/usr/bin/perl -pi -e "s/help.txt/vi_help.txt/" os_unix.h ex_cmds.c
/usr/bin/perl -pi -e "s/\/etc\/vimrc/\/etc\/virc/" os_unix.h

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --exec-prefix=%{_prefix} \
    --with-features=tiny \
    --with-x=no \
    --disable-pythoninterp \
    --disable-perlinterp \
    --disable-tclinterp \
    --disable-rubyinterp \
    --with-tlib=curses \
    --enable-multibyte \
    --enable-gui=no \
    --disable-gpm \
    --with-compiledby="<ayappap2@in.ibm.com>"

gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PKG_CONFIG_PATH=/opt/freeware/lib/pkgconfig

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/vimfiles
cp %{SOURCE14} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/vimfiles/template.spec
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/vimfiles/template.spec

cp runtime/doc/uganda.txt LICENSE

# Those aren't GNU info files but some binary files for Amiga:
rm -f README*.info

cd src
make install DESTDIR=${RPM_BUILD_ROOT}

cp gvim enhanced-vim ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# install icons
for i in 16x16 32x32 48x48 64x64 ; do
    mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/${i}/apps
done

cp %{SOURCE7} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/gvim.png
cp %{SOURCE8} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/gvim.png
cp %{SOURCE9} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/gvim.png
cp %{SOURCE10} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/64x64/apps/gvim.png

chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/*/apps/gvim.png

(
  cd ${RPM_BUILD_ROOT}
  mv -f .%{_bindir}/vim .%{_bindir}/vi
  mv -f .%{_bindir}/enhanced-vim .%{_bindir}/vim
  ln -sf vi .%{_bindir}/ex
  ln -sf vi .%{_bindir}/rvi
  ln -sf vim .%{_bindir}/vimdiff
  ln -sf gvim .%{_bindir}/gview
  ln -sf gvim .%{_bindir}/gex
  ln -sf gvim .%{_bindir}/evim
  ln -sf gvim .%{_bindir}/gvimdiff
  ln -sf gvim .%{_bindir}/vimx
  ln -sf vimtutor .%{_bindir}/gvimtutor
  ln -sf vim.1 .%{_mandir}/man1/vi.1
  ln -sf vim.1 .%{_mandir}/man1/rvi.1
  mkdir -p ./etc/X11/applnk/Applications
  cp %{SOURCE3} ./etc/X11/applnk/Applications/gvim.desktop
)

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cat >${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/vim.sh <<EOF
if [ -n "\$BASH_VERSION" -o -n "\$KSH_VERSION" -o -n "\$ZSH_VERSION" ]; then
  [ -x %{_bindir}/id ] || return
  [ \`%{_bindir}/id -u\` -le 200 ] && return
  # for bash and zsh, only if no alias is already set
  alias vi >/dev/null 2>&1 || alias vi=vim
fi
EOF
cat >${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/vim.csh <<EOF
[ -x %{_bindir}/id ] || exit
[ \`%{_bindir}/id -u\` -gt 200 ] && alias vi vim
EOF
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/*
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/vimrc
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/virc
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/vi*rc
(
 cd ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{vimdir}/doc
 gzip -9 *.txt
 gzip -d help.txt.gz version7.txt.gz sponsor.txt.gz
 cp %{SOURCE12} .
 cat tags | sed -e 's/\t\(.*.txt\)\t/\t\1.gz\t/;s/\thelp.txt.gz\t/\thelp.txt\t/;s/\tversion7.txt.gz\t/\tversion7.txt\t/;s/\tsponsor.txt.gz\t/\tsponsor.txt\t/' > tags.new; mv -f tags.new tags
cat >> tags << EOF
vi_help.txt	vi_help.txt	/*vi_help.txt*
vi-author.txt	vi_help.txt	/*vi-author*
vi-Bram.txt	vi_help.txt	/*vi-Bram*
vi-Moolenaar.txt	vi_help.txt	/*vi-Moolenaar*
vi-credits.txt	vi_help.txt	/*vi-credits*
EOF
 )
rm -f ${RPM_BUILD_ROOT}%{_datadir}/vim/%{vimdir}/macros/maze/maze*.c
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/vim/%{vimdir}/tools
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/vim/%{vimdir}/doc/vim2html.pl
rm -f ${RPM_BUILD_ROOT}%{_datadir}/vim/%{vimdir}/tutor/tutor.gr.utf-8~

for i in rvim gvim.1 gvimdiff.1 ; do 
  echo ".so man1/vim.1" > ${RPM_BUILD_ROOT}%{_mandir}/man1/$i
done

cd ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{vimdir}
cp menu.vim plugin/

# make symlinks
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
mkdir -p usr/linux/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .
rm -f ex vi view
cd ../../usr/linux/bin
for f in ex vi view ; do
  ln -sf ../../..%{_bindir}/${f} .
done
%post X11
touch -c %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  gtk-update-icon-cache --ignore-theme-index -q %{_datadir}/icons/hicolor
fi


%postun X11
touch -c %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  gtk-update-icon-cache --ignore-theme-index -q %{_datadir}/icons/hicolor
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files common
%defattr(-,root,system)
%config(noreplace) %{_sysconfdir}/vimrc
%doc README* LICENSE
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{vimdir}
%dir %{_datadir}/%{name}/vimfiles
%{_datadir}/%{name}/%{vimdir}/rgb.txt
%{_datadir}/%{name}/vimfiles/template.spec
%{_datadir}/%{name}/%{vimdir}/autoload
%{_datadir}/%{name}/%{vimdir}/colors
%{_datadir}/%{name}/%{vimdir}/compiler
%{_datadir}/%{name}/%{vimdir}/doc
%{_datadir}/%{name}/%{vimdir}/*.vim
%{_datadir}/%{name}/%{vimdir}/ftplugin
%{_datadir}/%{name}/%{vimdir}/indent
%{_datadir}/%{name}/%{vimdir}/keymap
%{_datadir}/%{name}/%{vimdir}/lang/*.vim
%{_datadir}/%{name}/%{vimdir}/lang/*.txt
%dir %{_datadir}/%{name}/%{vimdir}/lang
%{_datadir}/%{name}/%{vimdir}/macros
%{_datadir}/%{name}/%{vimdir}/plugin
%{_datadir}/%{name}/%{vimdir}/print
%{_datadir}/%{name}/%{vimdir}/syntax
%{_datadir}/%{name}/%{vimdir}/tutor
#%lang(af) %{_datadir}/%{name}/%{vimdir}/lang/af
#%lang(ca) %{_datadir}/%{name}/%{vimdir}/lang/ca
#%lang(cs) %{_datadir}/%{name}/%{vimdir}/lang/cs
#%lang(de) %{_datadir}/%{name}/%{vimdir}/lang/de
#%lang(en_GB) %{_datadir}/%{name}/%{vimdir}/lang/en_GB
#%lang(eo) %{_datadir}/%{name}/%{vimdir}/lang/eo
#%lang(es) %{_datadir}/%{name}/%{vimdir}/lang/es
#%lang(fi) %{_datadir}/%{name}/%{vimdir}/lang/fi
#%lang(fr) %{_datadir}/%{name}/%{vimdir}/lang/fr
#%lang(ga) %{_datadir}/%{name}/%{vimdir}/lang/ga
#%lang(it) %{_datadir}/%{name}/%{vimdir}/lang/it
#%lang(ja) %{_datadir}/%{name}/%{vimdir}/lang/ja
#%lang(ko) %{_datadir}/%{name}/%{vimdir}/lang/ko
#%lang(ko) %{_datadir}/%{name}/%{vimdir}/lang/ko.UTF-8
#%lang(no) %{_datadir}/%{name}/%{vimdir}/lang/nb
#%lang(no) %{_datadir}/%{name}/%{vimdir}/lang/no
#%lang(pl) %{_datadir}/%{name}/%{vimdir}/lang/pl
#%lang(pt_BR) %{_datadir}/%{name}/%{vimdir}/lang/pt_BR
#%lang(ru) %{_datadir}/%{name}/%{vimdir}/lang/ru
#%lang(sk) %{_datadir}/%{name}/%{vimdir}/lang/sk
#%lang(sv) %{_datadir}/%{name}/%{vimdir}/lang/sv
#%lang(uk) %{_datadir}/%{name}/%{vimdir}/lang/uk
#%lang(vi) %{_datadir}/%{name}/%{vimdir}/lang/vi
#%lang(zh_CN) %{_datadir}/%{name}/%{vimdir}/lang/zh_CN
#%lang(zh_TW) %{_datadir}/%{name}/%{vimdir}/lang/zh_TW
#%lang(zh_CN.UTF-8) %{_datadir}/%{name}/%{vimdir}/lang/zh_CN.UTF-8
#%lang(zh_TW.UTF-8) %{_datadir}/%{name}/%{vimdir}/lang/zh_TW.UTF-8
%{_bindir}/xxd
%{_mandir}/man1/vim.*
%{_mandir}/man1/ex.*
%{_mandir}/man1/vi.*
%{_mandir}/man1/view.*
%{_mandir}/man1/rvi.*
%{_mandir}/man1/rview.*
%{_mandir}/man1/xxd.*
%lang(fr) %{_mandir}/fr*/man1/*
%lang(it) %{_mandir}/it*/man1/*
%lang(pl) %{_mandir}/pl*/man1/*
%lang(ru) %{_mandir}/ru*/man1/*
/usr/bin/xxd


%files minimal
%defattr(-,root,system)
%config(noreplace) %{_sysconfdir}/virc
%{_bindir}/ex
%{_bindir}/vi
%{_bindir}/view
%{_bindir}/rvi
%{_bindir}/rview
/usr/linux/bin/ex
/usr/linux/bin/vi
/usr/linux/bin/view
/usr/bin/rvi
/usr/bin/rview


%files enhanced
%defattr(-,root,system)
%{_bindir}/vim
%{_bindir}/rvim
%{_bindir}/vimdiff
%{_bindir}/vimtutor
%config(noreplace) %{_sysconfdir}/profile.d/vim.*
%{_mandir}/man1/rvim.*
%{_mandir}/man1/vimdiff.*
%{_mandir}/man1/vimtutor.*
/usr/bin/vim
/usr/bin/rvim
/usr/bin/vimdiff
/usr/bin/vimtutor


%files X11
%defattr(-,root,system)
/etc/X11/applnk/*/gvim.desktop
%{_bindir}/gvimtutor
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/gview
%{_bindir}/gex
%{_bindir}/vimx
%{_bindir}/evim
%{_mandir}/man1/evim.*
%{_mandir}/man1/gvim*
%{_datadir}/icons/hicolor/*/apps/*
/usr/bin/gvimtutor
/usr/bin/gvim
/usr/bin/gvimdiff
/usr/bin/gview
/usr/bin/gex
/usr/bin/vimx
/usr/bin/evim


%changelog
* Tue Aug 27 2019 Ayappan P <ayappap2@in.ibm.com> - 8.0-4
- Rebuild with GUI enabled
- gzip doc files (that's how it is mentioned in tags)

* Mon Jul 30 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 8.0-3
- Rebuild removing python.exp from vi_cv_path_python_plibs 
- To ensure compatibility with latest python

* Tue May 22 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 8.0-2
- Updated to 8.0 and listing rgb.txt

* Thu Apr 28 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> 7.4-1
- Added Language-Team header field in po header, by patch vim-7.4-lang-team.patch

* Fri Mar 23 2004 David Clissold <cliss@austin.ibm.com> 6.3-1
- Update to version 6.3

* Thu Mar 11 2004 David Clissold <cliss@austin.ibm.com> 6.0.147-4
- Rebuild; making sure we don't have /usr/local/lib on the build system
- because for the Toolbox, we don't want our binaries looking there.
- (vim adds -L/usr/local/lib first if it finds the directory present).

* Wed May 28 2003 David Clissold <cliss@austin.ibm.com>
- The 'vim' binary was not being stripped.
- Link rvi, rview, ex to vi and not vim as per bug rpt #3635.

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Tue Apr 23 2002 David Clissold <cliss@austin.ibm.com>
- No functional change.  Remove controversial political designation
- from the original gzipped tarball.
- Also bump the version level (6.0.147) to match the vim
- entry screen, based on last patch level. (This is functionally
- no different than the 6.0-147 version).

* Tue Jan 22 2002 Marc Stephenson <marc@austin.ibm.com>
- Added most recent patches - to number 147

* Tue Oct 02 2001 Marc Stephenson <marc@austin.ibm.com>
- 6.0 for AIX Toolbox

* Fri Mar 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix large file handling (#34061)

* Mon Feb 26 2001 Trond Eivind Glomsr\F8d <teg@redhat.com>
- use %%{_tmppath}

* Thu Feb 15 2001 Yukihiro Nakai <ynakai@redhat.com>
- vimrc update for 6.0v

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix "lba32" keyword in lilo.conf syntax highlighting
- Fix build with current glibc

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix crontab -e in vim-minimal (#25376)

* Tue Jan 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix segfault on q, up, up, q (Bug #25261)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Set minlines=500 as default in PHP syntax highlighting (RFE #24374)
- Don't symlink gvimrc to vimrc (Bug #22518)
- Add symlinks gview -> gvim and gex -> gvim in -X11 (RFE #24394)
- 6.0t

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- More fixes to rpm specfile syntax highlighting:
  - recognize %%ifnarch
  - recognize "j" as a tar option
  - recognize %{_libdir}

* Sun Jan 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0s

* Wed Jan  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0r
- Restore crv patch (this should fix #23135 for whoever is seeing it;
  I'm not).

* Tue Dec 19 2000 Yukihiro Nakai <ynakai@redhat.com>
- Symbolic link to menu_ja_jp.ujis.vim to menu_ja_jp.eucjp.vim

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Delete i18n patch (already implmented by author)
- Add menu i18n patch
- Update vimrc to support CJK
- Add menu translations.

* Sun Dec 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0q

* Sun Dec 17 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add --enable-fontset to configure options.
- Add i18nrc patch and resources.

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0p, new ncurses

* Mon Dec 11 2000 Karsten Hopp <karsten@redhat.de>
- rebuilt to fix permissions of /usr/share/doc/ and
  /usr/share/vim

* Mon Nov 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0m

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0l

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0k

* Tue Oct 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0i
- add new desktop file w/ translations

* Thu Aug 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0h

* Wed Aug 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0g

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0f

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0e

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0c
- get rid of the DESTDIR patch, no longer needed

* Sun Jul 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0b

* Mon Jul 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 6.0a

* Sun Jun 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.7 release
- some more fixes to .spec file syntax highlighting rules... About time it
  recognizes %%{_mandir}...

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.7a

* Sat Jun  3 2000 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- patchlevel 74
- add %%makeinstall macro recognition to .spec file syntax highlighting rules
- fix up Makefiles

* Fri Apr 14 2000 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- patchlevel 66
- fix compilation with perl 5.6.0

* Mon Mar 20 2000 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- patchlevel 12

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home/end in vimrc (we did a term = rxvt, totally wrong)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- change F1-F4 keybindings for xterm builtin terminfo to match real terminfo

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- kill autoindent

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb  5 2000 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- Patchlevel 11
- handle compressed man pages
- fix man page symlinks

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on X in vim-enhanced, and ncurses/gpm
  in vim-minimal

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on csh and perl in vim-common

* Wed Jan 19 2000 Bernhard Rosenrk\E4nzer <bero@redhat.com>
- Use awk, not nawk

* Tue Jan 18 2000 Bernhard Rosenrk\E4nzer <bero@redhat.com>
- 5.6
- patch 5.6.001
- remove /usr/bin/vi - if you want vim, type vim

* Tue Jan 11 2000 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- 5.6a
- Remove dependency on nawk (introduced by base update)
- some tweaks to make updating easier

* Tue Nov  9 1999 Bernhard Rosenkr\E4nzer <bero@redhat.com>
- 5.5
- fix path to vimrc

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
